### Method

# Soup Session get_feature_for_message

#### Declaration [src]

    SoupSessionFeature*
    soup_session_get_feature_for_message (
      SoupSession* session,
      GType feature_type,
      SoupMessage* msg
    )

#### Description [src]

Gets the feature in `session` of type `feature_type`, provided that it is not disabled for `msg`.

#### Parameters

`feature_type` | `GType`
| The `GType` of the feature to get.
`msg` | `SoupMessage`
| A `SoupMessage`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `SoupSessionFeature`
| A `SoupSessionFeature`. The feature is owned by `session`.
| The data is owned by the instance.
| The return value can be `NULL`.